#ifndef BGMAP_HPP
#define BGMAP_HPP

class BgMap
{
public:
	BgMap(void);
	~BgMap(void);
	void Initialize(int map_number, int width, int height);
	void SetPosition(int x, int y);
	void Draw(void);
	unsigned char GetChip(int x, int y);
	unsigned char GetScreenChip(int x, int y);
	int GetPushBackLeft(int x, int y);
	int GetPushBackRight(int x, int y);
	int GetPushBackTop(int x, int y);
	int GetPushBackBottom(int x, int y);
	unsigned char BackColor8(void);
	unsigned short BackColor16(void);
	void GetSize(int& width, int& height);
	void GetPosition(int& x, int& y);
private:
	int map_number;
	int width;
	int height;
	int x;
	int y;
	BgMap(BgMap&);
	BgMap& operator = (BgMap&);
};

#endif
